﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TaskWithProgress
{
    public partial class MainWindow : Window
    {
        private ProcessViewModel _vm;

        public MainWindow()
        {
            InitializeComponent();
            // We get a reference to the ViewModel object that is instantiated
            // in the XAML. 
            _vm = (ProcessViewModel)Resources["vm"];
        }

        private void startButton_Click(object sender, RoutedEventArgs e)
        {
            // The Start button click handler is simply a pass-through
            // to a method in the ViewModel.  The View does not do any
            // of the work itself.
            _vm.StartProcess();
        }

        private void cancelButton_Click(object sender, RoutedEventArgs e)
        {
            // The Cancel button click handler is simply a pass-through
            // to a method in the ViewModel.  The View does not do any
            // of the work itself.
            _vm.CancelProcess();
        }
    }
}
